Newton's law of gravity is $F=GMm/r^2$. Both $G$ and the astronaut's
mass $m$ are the same in the two situations, so
$F\propto Mr^{-2}$. In terms of ratios, this is
\begin{equation*}
  \frac{F_c}{F_e} = \frac{M_c}{M_e}\left(\frac{r_c}{r_e}\right)^{-2} \qquad .
\end{equation*}
The result is 11 N.
